Commit 19b94a94 authored by Noah Prail's avatar Noah Prail

Install NPM 5.7.1

parent db9d1239
Pipeline #2316 failed with stage
in 2 seconds
......@@ -3,6 +3,7 @@ FROM openjdk:8-jdk
MAINTAINER Filiosoft, LLC <Team@Filiosoft.com>
ENV NODE_VERSION 8
ENV NPM_VERSION 5.7.1
RUN apt-get update && \
apt-get install --no-install-recommends -y apt-transport-https && \
......@@ -10,6 +11,7 @@ RUN apt-get update && \
echo "deb https://dl.yarnpkg.com/debian/ stable main" | tee /etc/apt/sources.list.d/yarn.list && \
curl -sL https://deb.nodesource.com/setup_${NODE_VERSION}.x | bash - && \
apt-get install --no-install-recommends -y nodejs yarn && \
npm i -g npm@${NPM_VERSION}
node -v && npm -v && yarn -V && \
npm i -g npx && \
apt-get -y autoremove && \
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment